| Flutter Impeller |

Public Member Functions | List of all members
impeller::VerticesGeometry Class Referenceabstract

A geometry that is created from a vertices object. More...

`#include <vertices_geometry.h>`

Inheritance diagram for impeller::VerticesGeometry:

## Public Member Functions
virtual GeometryResult | GetPositionUVColorBuffer (Rect texture_coverage, Matrix effect_transform, const ContentContext &renderer, const Entity &entity, RenderPass &pass) const =0
virtual bool | HasVertexColors () const =0
virtual bool | HasTextureCoordinates () const =0
virtual std::optional< Rect > | GetTextureCoordinateCoverage () const =0
Public Member Functions inherited from impeller::Geometry
virtual | ~Geometry ()
virtual GeometryResult | GetPositionBuffer (const ContentContext &renderer, const Entity &entity, RenderPass &pass) const =0
virtual GeometryResult::Mode | GetResultMode () const
virtual std::optional< Rect > | GetCoverage (const Matrix &transform) const =0
virtual bool | CoversArea (const Matrix &transform, const Rect &rect) const
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
virtual bool | IsAxisAlignedRect () const
virtual bool | CanApplyMaskFilter () const
virtual Scalar | ComputeAlphaCoverage (const Matrix &transform) const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::unique_ptr< Geometry > | MakeFillPath (const flutter::DlPath &path, std::optional< Rect > inner_rect=std::nullopt)
static std::unique_ptr< Geometry > | MakeStrokePath (const flutter::DlPath &path, const StrokeParameters &stroke={})
static std::unique_ptr< Geometry > | MakeCover ()
static std::unique_ptr< Geometry > | MakeRect (const Rect &rect)
static std::unique_ptr< Geometry > | MakeOval (const Rect &rect)
static std::unique_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::unique_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::unique_ptr< Geometry > | MakeFilledArc (const Rect &oval_bounds, Degrees start, Degrees sweep, bool include_center)
static std::unique_ptr< Geometry > | MakeStrokedArc (const Rect &oval_bounds, Degrees start, Degrees sweep, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::unique_ptr< Geometry > | MakeRoundSuperellipse (const Rect &rect, Scalar corner_radius)
static Scalar | ComputeStrokeAlphaCoverage (const Matrix &entity, Scalar stroke_width)
| Compute an alpha value to simulate lower coverage of fractional pixel strokes. More...
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)

## Detailed Description

A geometry that is created from a vertices object.

Definition at line 13 of file vertices_geometry.h.

## Member Function Documentation

## ◆ GetPositionUVColorBuffer()

virtual GeometryResult impeller::VerticesGeometry::GetPositionUVColorBuffer | ( | Rect | texture_coverage,
|  | Matrix | effect_transform,
|  | const ContentContext & | renderer,
|  | const Entity & | entity,
|  | RenderPass & | pass
| ) |  | const
| pure virtual

Implemented in impeller::DlVerticesGeometry.

## ◆ GetTextureCoordinateCoverage()

virtual std::optional<Rect> impeller::VerticesGeometry::GetTextureCoordinateCoverage | ( |  | ) | const
| pure virtual

Implemented in impeller::DlVerticesGeometry.

## ◆ HasTextureCoordinates()

virtual bool impeller::VerticesGeometry::HasTextureCoordinates | ( |  | ) | const
| pure virtual

Implemented in impeller::DlVerticesGeometry.

## ◆ HasVertexColors()

virtual bool impeller::VerticesGeometry::HasVertexColors | ( |  | ) | const
| pure virtual

Implemented in impeller::DlVerticesGeometry.

The documentation for this class was generated from the following file:

- impeller/entity/geometry/vertices_geometry.h